# Uses of Class
org.apache.lucene.codecs.NormsConsumer

Packages that use NormsConsumer
Package
Description
org.apache.lucene.codecs
Codecs API: API for customization of the encoding and structure of the index.
org.apache.lucene.codecs.lucene90
Lucene 9.0 file format.

- ## Uses of NormsConsumer in org.apache.lucene.codecs

  Methods in org.apache.lucene.codecs that return NormsConsumer
  Modifier and Type
  Method
  Description
  `abstract NormsConsumer`
  NormsFormat.`normsConsumer(SegmentWriteState state)`
  Returns a `NormsConsumer` to write norms to the index.

- ## Uses of NormsConsumer in org.apache.lucene.codecs.lucene90

  Methods in org.apache.lucene.codecs.lucene90 that return NormsConsumer
  Modifier and Type
  Method
  Description
  `NormsConsumer`
  Lucene90NormsFormat.`normsConsumer(SegmentWriteState state)`